/************************************************************************/
/*    File Version: V1.00                                               */
/*   History : 1.0A (2013-08-19) [Hardware Manual Revision : 1.31]  */
/*    Date Generated: 08/19/2013                                        */
/************************************************************************/

#include "interrupt_handlers.h"

typedef void (*fp) (void);
extern void PowerON_Reset (void);
extern void stack (void);

#define FVECT_SECT   __attribute__ ((section (".fvectors")))

const void *HardwareVectors[] FVECT_SECT  = {

//;0xffffff80  Reserved
    (fp)0,
//;0xffffff84  Reserved
    (fp)0,
//;0xffffff88  Reserved
    (fp)0,
//;0xffffff8C  Reserved
    (fp)0,
//;0xffffff90  Reserved
    (fp)0,
//;0xffffff94  Reserved
    (fp)0,
//;0xffffff98  Reserved
    (fp)0,
//;0xffffff9C  Reserved
    (fp)0,
//;0xffffffA0  Reserved
    (fp)0xFFFFFFFF,
//;0xffffffA4  Reserved
    (fp)0xFFFFFFFF,
//;0xffffffA8  Reserved
    (fp)0xFFFFFFFF,
//;0xffffffAC  Reserved
    (fp)0xFFFFFFFF,
//;0xffffffB0  Reserved
    (fp)0,
//;0xffffffB4  Reserved
    (fp)0,
//;0xffffffB8  Reserved
    (fp)0,
//;0xffffffBC  Reserved
    (fp)0,
//;0xffffffC0  Reserved
    (fp)0,
//;0xffffffC4  Reserved
    (fp)0,
//;0xffffffC8  Reserved
    (fp)0,
//;0xffffffCC  Reserved
    (fp)0,
//;0xffffffd0  Exception(Supervisor Instruction)
    INT_Excep_SuperVisorInst,
//;0xffffffd4  Exception(Access Instruction)
    INT_Excep_AccessInst,
//;0xffffffd8  Reserved
    (fp)0,
//;0xffffffdc  Exception(Undefined Instruction)
    INT_Excep_UndefinedInst,
//;0xffffffe0  Reserved
    (fp)0,
//;0xffffffe4  Exception(Floating Point)
    INT_Excep_FloatingPoint,
//;0xffffffe8  Reserved
    (fp)0,
//;0xffffffec  Reserved
    (fp)0,
//;0xfffffff0  Reserved
    (fp)0,
//;0xfffffff4  Reserved
    (fp)0,
//;0xfffffff8  NMI
    INT_NonMaskableInterrupt,
//;0xfffffffc  RESET
//;<<VECTOR DATA START (POWER ON RESET)>>
//;Power On Reset
    PowerON_Reset                                                                                                                  
//;<<VECTOR DATA END (POWER ON RESET)>>
};

#define RVECT_SECT          __attribute__ ((section (".rvectors")))

const fp RelocatableVectors[] RVECT_SECT  = {
//Reserved  0 0000h
    (fp)0,                                
//Reserved  1 0004h 
    (fp)0,                                  
//Reserved  2 0008h                                   
    (fp)0,
//Reserved  3 000Ch                                   
    (fp)0,
//Reserved  4 0010h                                   
    (fp)0,
//Reserved  5 0014h                                   
    (fp)0,
//Reserved  6 0018h                                   
    (fp)0,
//Reserved  7 001Ch                                   
    (fp)0,
//Reserved  8 0020h                                   
    (fp)0,
//Reserved  9 0024h                                   
    (fp)0,
//Reserved  10 0028h                                   
    (fp)0,
//Reserved  11 002Ch                                   
    (fp)0,
//Reserved  12 0030h                                   
    (fp)0,
//Reserved  13 0034h                                   
    (fp)0,
//Reserved  14 0038h                                   
    (fp)0,
//Reserved  15 003Ch                                   
    (fp)0,
//Bus error BUSERR 16 0040h   
    (fp)INT_Excep_BSC_BUSERR,
//Reserved  17 0044h   
    (fp)0,
//Reserved  18 0048h   
    (fp)0,
//Reserved  19 004Ch   
    (fp)0,
//Reserved  20 0050h   
    (fp)0,
//FCUIF FIFERR 21 0054h  
    (fp)INT_Excep_FCUIF_FIFERR,
//Reserved  22 0058h    
    (fp)0,
//FRDYI 23 005Ch  
    (fp)INT_Excep_FCUIF_FRDYI,
  //Reserved  24 0060h  
    (fp)0,
     //Reserved  25 0064h  
    (fp)0,
     //Reserved  26 0068h                         
    (fp)0,
//ICU SWINT 27 006Ch 
    (fp)INT_Excep_ICU_SWINT,
//CMT0 CMI0 28 0070h 
    (fp)INT_Excep_CMT0_CMI0,
//CMT0 CMI1 29 0074h      
    (fp)INT_Excep_CMT1_CMI1,
//CMT1 CMI2 30 0078h 
    (fp)INT_Excep_CMT2_CMI2,
//CMT1 CMI3 31 007Ch      
    (fp)INT_Excep_CMT3_CMI3,
//Reserved      32 0080h
    (fp)0,
//Reserved  33 0084h                  
    (fp)0,
//Reserved  34 0088h                       
    (fp)0,
//Reserved  35 008Ch                       
    (fp)0,
//Reserved  36 0090h                      
    (fp)0,
//Reserved  37 0094h                      
    (fp)0,
//Reserved  38 0098h                      
    (fp)0,
//Reserved  39 009Ch                     
    (fp)0,
//Reserved  40 00A0h                     
    (fp)0,
//Reserved  41 00A4h                     
    (fp)0,
//Reserved  42 00A8h                     
    (fp)0,
//Reserved  43 00ACh                 
    (fp)0,
//RSPIO_SPEI0 44 00B0h 
    (fp)INT_Excep_RSPI0_SPEI0,
//RSPIO_SPRI0 45 00B4h
    (fp)INT_Excep_RSPI0_SPRI0,     
//RSPIO_SPTI0 46 00B8h 
    (fp)INT_Excep_RSPI0_SPTI0,
//RSPIO_SPII0 47 00BCh 
    (fp)INT_Excep_RSPI0_SPII0,
//Reserved  48 00C0h
    (fp)0,
//Reserved  49 00C4h              
    (fp)0,
//Reserved  50 00C8h              
    (fp)0,
//Reserved  51 00CCh              
    (fp)0,
//Reserved  52 00D0h              
    (fp)0,
//Reserved  53 00D4h                    
    (fp)0,
//Reserved  54 00D8h                     
    (fp)0,
//Reserved  55 00DCh                     
    (fp)0,
//CAN0_ERS0 56 00E0h 
    (fp)INT_Excep_CAN0_ERS0,
//CAN0_RXF0 57 00E4h      
    (fp)INT_Excep_CAN0_RXF0,
//CAN0_TXF0 58 00E8h
    (fp)INT_Excep_CAN0_TXF0,    
//CAN0_RXM0 59 00ECh
    (fp)INT_Excep_CAN0_RXM0,    
//CAN0_TXM0 60 00F0h  
    (fp)INT_Excep_CAN0_TXM0,
//Reserved  61 00F4h                     
    (fp)0,
//Reserved  62 00F8h                     
    (fp)0,
//Reserved  63 00FCh                     
    (fp)0,
//IRQ0 64 0100h  
    (fp)INT_Excep_ICU_IRQ0,
//IRQ1 65 0104h  
    (fp)INT_Excep_ICU_IRQ1,
//IRQ2 66 0108h  
    (fp)INT_Excep_ICU_IRQ2,
//IRQ3 67 010Ch  
    (fp)INT_Excep_ICU_IRQ3,
//IRQ4 68 0110h  
    (fp)INT_Excep_ICU_IRQ4,
//IRQ5 69 0114h  
    (fp)INT_Excep_ICU_IRQ5,
//IRQ6 70 0118h  
    (fp)INT_Excep_ICU_IRQ6,
//IRQ7 71 011Ch  
    (fp)INT_Excep_ICU_IRQ7,
//Reserved  72 0120h                     
    (fp)0,
//Reserved  73 0124h                     
    (fp)0,
//Reserved  74 0128h                     
    (fp)0,
//Reserved  75 012Ch                     
    (fp)0,
//Reserved  76 0130h                     
    (fp)0,
//Reserved  77 0134h                     
    (fp)0,
//Reserved  78 0138h                     
    (fp)0,
//Reserved  79 013Ch                     
    (fp)0,
//Reserved  80 0140h                     
    (fp)0,
//Reserved  81 0144h                     
    (fp)0,
//Reserved  82 0148h                     
    (fp)0,
//Reserved  83 014Ch                     
    (fp)0,
//Reserved  84 0150h                     
    (fp)0,
//Reserved  85 0154h                     
    (fp)0,
//Reserved  86 0158h               
    (fp)0,
//Reserved  87 015Ch                     
    (fp)0,
//Reserved  88 0160h                
    (fp)0,
//Reserved  89 0164h                
    (fp)0,
//Reserved  90 0168h                
    (fp)0,
//Reserved  91 016Ch                
    (fp)0,
//Reserved  92 0170h                
    (fp)0,
//Reserved  93 0174h                
    (fp)0,
//Reserved  94 0178h                
    (fp)0,
//Reserved  95 017Ch                
    (fp)0,
//WDT WOVI 96 0180h   
    (fp)INT_Excep_WDT_WOVI,
//Reserved  97 0184h                
    (fp)0,
//ADA0 ADI0 98 0188h  
    (fp)INT_Excep_AD0_ADI0,
//Reserved  99 018Ch                
    (fp)0,
//Reserved  100 0190h               
    (fp)0,
//Reserved  101 0194h               
    (fp)0,
//S12ADA0 S12ADI0 102 0198h
    (fp)INT_Excep_S12AD0_S12ADI0,
//S12ADA1 S12ADI1 103 019Ch
    (fp)INT_Excep_S12AD1_S12ADI1,
//Reserved  104 01A0h               
    (fp)0,
//Reserved  105 01A4h               
    (fp)0,
//CMPI 106 01A8h
    (fp)INT_Excep_CMPB_CMPI,
//Reserved  107 01ACh               
    (fp)0,
//Reserved  108 01B0h               
    (fp)0,
//Reserved  109 01B4h               
    (fp)0,
//Reserved  110 01B8h               
    (fp)0,
//Reserved  111 01BCh               
    (fp)0,
//Reserved  112 01C0h               
    (fp)0,
//Reserved  113 01C4h               
    (fp)0,

//MTU_0 TGIA0 114 01C8h  
    (fp)INT_Excep_MTU0_TGIA0,   
//MTU_0TGIB0 115 01CCh
    (fp)INT_Excep_MTU0_TGIB0,            
//MTU_0TGIC0 116 01D0h
    (fp)INT_Excep_MTU0_TGIC0,           
//MTU_0 TGID0 117 01D4h
    (fp)INT_Excep_MTU0_TGID0,           
//MTU_0 TCIV0 118 01D8h
    (fp)INT_Excep_MTU0_TCIV0,           
//MTU_0 TGIE0 119 01DCh
    (fp)INT_Excep_MTU0_TGIE0,            
//MTU_0 TGIF0 120 01E0h 
    (fp)INT_Excep_MTU0_TGIF0,  

//MTU_1 TGIA1 121 01E4h 
    (fp)INT_Excep_MTU1_TGIA1,  
//MTU_1 TGIB1 122 01E8h
    (fp)INT_Excep_MTU1_TGIB1,          
//MTU_1_TCIV1 123 01ECh
    (fp)INT_Excep_MTU1_TCIV1,     
//MTU_1_TCIU1 124 01F0h 
    (fp)INT_Excep_MTU1_TCIU1,    


//MTU_2_TGIA2 125 01F4h 
    (fp)INT_Excep_MTU2_TGIA2,  
//MTU_2_TGIB2 126 01F8h
    (fp)INT_Excep_MTU2_TGIB2,          
//MTU_2_TCIV2 127 01FCh          
    (fp)INT_Excep_MTU2_TCIV2,
//MTU_2_TCIU2 128 0200h          
    (fp)INT_Excep_MTU2_TCIU2,

//MTU_3_TGIA3 129 0204h
    (fp)INT_Excep_MTU3_TGIA3,   
//MTU_3_TGIB3 130 0208h
    (fp)INT_Excep_MTU3_TGIB3,    
//MTU_3_TGIC3 131 020Ch          
    (fp)INT_Excep_MTU3_TGIC3,
//MTU_3_TGID3 132 0210h          
    (fp)INT_Excep_MTU3_TGID3,
//MTU_3_TCIV3 133 0214h
    (fp)INT_Excep_MTU3_TCIV3 ,
          
          
//MTU_4_TGIA4 134 0218h   
    (fp)INT_Excep_MTU4_TGIA4 ,
//MTU_4_TGIB4 135 021Ch          
    (fp)INT_Excep_MTU4_TGIB4 ,
//MTU_4_TGIC4 136 0220h
    (fp)INT_Excep_MTU4_TGIC4 ,          
//MTU_4_TGID4 137 0224h 
    (fp)INT_Excep_MTU4_TGID4,         
//MTU_4_TCIV4 138 0228h          
    (fp)INT_Excep_MTU4_TCIV4,


//MTU_5 TGIU5 139 022Ch  
    (fp)INT_Excep_MTU5_TGIU5 , 
//MTU_5 TGIV5 140 0230h 
    (fp)INT_Excep_MTU5_TGIV5,    
//MTU_5 TGIW5 141 0234h
    (fp)INT_Excep_MTU5_TGIW5,          


//MTU_6 TGIA6 142 0238h  
    (fp)INT_Excep_MTU6_TGIA6, 
//MTU_6 TGIB6 143 023Ch
    (fp)INT_Excep_MTU6_TGIB6,  
//MTU_6 TGIC6 144 0240h 
    (fp)INT_Excep_MTU6_TGIC6 ,         
//MTU_6 TGID6 145 0244h
    (fp)INT_Excep_MTU6_TGID6 ,          
//MTU_6 TCIV6 146 0248h
    (fp)INT_Excep_MTU6_TCIV6,          
//Reserved  147 024Ch               
    (fp)0,
//Reserved  148 0250h               
    (fp)0,

//MTU_7 TGIA7 149 0254h
    (fp)INT_Excep_MTU7_TGIA7 ,   
//MTU_7 TGIB7 150 0258h
    (fp)INT_Excep_MTU7_TGIB7,          
//MTU_7 TGIC7 151 025Ch
    (fp)INT_Excep_MTU7_TGIC7,          
//MTU_7 TGID7 152 0260h
    (fp)INT_Excep_MTU7_TGID7,          
//MTU_7 TCIV7 153 0264h
    (fp)INT_Excep_MTU7_TCIV7,          


//Reserved  154 0268h               
    (fp)0,
//Reserved  155 026Ch               
    (fp)0,
//Reserved  156 0270h               
    (fp)0,
//Reserved  157 0274h               
    (fp)0,
//Reserved  158 0278h               
    (fp)0,
//Reserved  159 027Ch               
    (fp)0,
//Reserved  160 0280h               
    (fp)0,
//Reserved  161 0284h               
    (fp)0,
//Reserved  162 0288h               
    (fp)0,
//Reserved  163 028Ch               
    (fp)0,
//Reserved  164 0290h               
    (fp)0,
//Reserved  165 0294h               
    (fp)0,
//Reserved  166 0298h               
    (fp)0,
//Reserved  167 029Ch               
    (fp)0,
//Reserved  168 02A0h               
    (fp)0,
//Reserved  169 02A4h               
    (fp)0,

//POE OE11 170 02A8h 
    (fp)INT_Excep_POE_OEI1,
//POE OE12 171 02ACh 
    (fp)INT_Excep_POE_OEI2,
//POE OE13 172 02B0h 
    (fp)INT_Excep_POE_OEI3,
//POE OE14 173 02B4h 
    (fp)INT_Excep_POE_OEI4,

//GPT0_GTCIA0 174 02B8h
    (fp)INT_Excep_GPT0_GTCIA0,    
//GPT0_GTCIB0 175 02BCh
    (fp)INT_Excep_GPT0_GTCIB0,         
//GPT0_GTCIC0 176 02C0h
    (fp)INT_Excep_GPT0_GTCIC0,         
//GPT0_GTCIE0 177 02C4h
    (fp)INT_Excep_GPT0_GTCIE0,         
//GPT0_GTCIV0 178 02C8h
    (fp)INT_Excep_GPT0_GTCIV0,         
//GPT0_LOCO1 179 02CCh
    (fp)INT_Excep_GPT0_LOCO1,          

//GPT1_GTCIA1 180 02D0h  
    (fp)INT_Excep_GPT1_GTCIA1,  
//GPT1_GTCIB1 181 02D4h
    (fp)INT_Excep_GPT1_GTCIB1,         
//GPT1_GTCIC1 182 02D8h
    (fp)INT_Excep_GPT1_GTCIC1,         
//GPT1_GTCIE1 183 02DCh
    (fp)INT_Excep_GPT1_GTCIE1,         
//GPT1_GTCIV1 184 02E0h
    (fp)INT_Excep_GPT1_GTCIV1,         
//Reserved  185 02E4h       
    (fp)0,

//GPT2_GTCIA2 186 02E8h   
    (fp)INT_Excep_GPT2_GTCIA2, 
//GPT2_GTCIB2 187 02ECh
    (fp)INT_Excep_GPT2_GTCIB2,         
//GPT2_GTCIC2 188 02F0h
    (fp)INT_Excep_GPT2_GTCIC2,         
//GPT2_GTCIE2 189 02F4h
    (fp)INT_Excep_GPT2_GTCIE2,         
//GPT2_GTCIV2 190 02F8h
    (fp)INT_Excep_GPT2_GTCIV2,         
//Reserved  191 02FCh    
    (fp)0,

//GPT3_GTCIA3 192 0300h
    (fp)INT_Excep_GPT3_GTCIA3,    
//GPT3_GTCIB3 193 0304h
    (fp)INT_Excep_GPT3_GTCIB3,         
//GPT3_GTCIC3 194 0308h 
    (fp)INT_Excep_GPT3_GTCIC3,        
//GPT3_GTCIE3 195 030Ch
    (fp)INT_Excep_GPT3_GTCIE3,         
//GPT3_GTCIV3 196 0310h
    (fp)INT_Excep_GPT3_GTCIV3,        
//Reserved  197 0314h                     
    (fp)0,

//Reserved  198 0318h                     
    (fp)0,
//Reserved  199 031Ch                     
    (fp)0,
//Reserved  200 0320h                     
    (fp)0,
//Reserved  201 0324h                     
    (fp)0,
//Reserved  202 0328h                     
    (fp)0,
//Reserved  203 032Ch                     
    (fp)0,
//Reserved  204 0330h                     
    (fp)0,
//Reserved  205 0334h                     
    (fp)0,
//Reserved  206 0338h                     
    (fp)0,
//Reserved  207 033Ch                     
    (fp)0,
//Reserved  208 0340h                     
    (fp)0,
//Reserved  209 0344h                    
    (fp)0,
//Reserved  210 0348h                    
    (fp)0,
//Reserved  211 034Ch                    
    (fp)0,
//Reserved  212 0350h                    
    (fp)0,
//Reserved  213 0354h                    
    (fp)0,

//SCI0_ERI0 214 0358h
    (fp)INT_Excep_SCI0_ERI0,      
//SCI0_RXI0 215 035Ch 
    (fp)INT_Excep_SCI0_RXI0,          
//SCI0_TXI0 216 0360h 
    (fp)INT_Excep_SCI0_TXI0 ,          
//SCI0_TEI0 217 0364h 
    (fp)INT_Excep_SCI0_TEI0,          

//SCI1_ERI1 218 0368h
    (fp)INT_Excep_SCI1_ERI1 ,      
//SCI1_RXI1 219 036Ch 
    (fp)INT_Excep_SCI1_RXI1 ,          
//SCI1_TXI1 220 0370h 
    (fp)INT_Excep_SCI1_TXI1,          
//SCI1_TEI1 221 0374h 
    (fp)INT_Excep_SCI1_TEI1,          

//SCI2_ERI2 222 0378h 
    (fp)INT_Excep_SCI2_ERI2,     
//SCI2_RXI2 223 037Ch 
    (fp)INT_Excep_SCI2_RXI2,          
//SCI2_TXI2 224 0380h 
    (fp)INT_Excep_SCI2_TXI2,          
//SCI2_TEI2 225 0384h 
    (fp)INT_Excep_SCI2_TEI2,          

//Reserved  226 0388h                    
    (fp)0,
//Reserved  227 038Ch                    
    (fp)0,
//Reserved  228 0390h                    
    (fp)0,
//Reserved  229 0394h                    
    (fp)0,
//Reserved  230 0398h                    
    (fp)0,
//Reserved  231 039Ch                    
    (fp)0,
//Reserved  232 03A0h                    
    (fp)0,
//Reserved  233 03A4h                    
    (fp)0,
//Reserved  234 03A8h                    
    (fp)0,
//Reserved  235 03ACh                    
    (fp)0,
//Reserved  236 03B0h                    
    (fp)0,
//Reserved  237 03B4h                    
    (fp)0,
//Reserved  238 03B8h                    
    (fp)0,
//Reserved  239 03BCh                    
    (fp)0,
//Reserved  240 03C0h                    
    (fp)0,
//Reserved  241 03C4h                    
    (fp)0,
//Reserved  242 03C8h                    
    (fp)0,
//Reserved  243 03CCh                    
    (fp)0,
//Reserved  244 03D0h                    
    (fp)0,
//Reserved  245 03D4h                    
    (fp)0,

//RIIC0_ICEEI0 246 03D8h
    (fp)INT_Excep_RIIC0_ICEEI0,   
//RIIC0_ICRXI0 247 03DCh
    (fp)INT_Excep_RIIC0_ICRXI0,         
//RIIC0_ICTXI0 248 03E0h
    (fp)INT_Excep_RIIC0_ICTXI0,         
//RIIC0_ICTEI0 249 03E4h
    (fp)INT_Excep_RIIC0_ICTEI0,         

//Reserved  250 03E8h  
    (fp)0,
//Reserved  251 03ECh  
    (fp)0,
//Reserved  252 03F0h  
    (fp)0,
//Reserved  253 03F4h  
    (fp)0,

//LIN0_LIN0 254 03F8h        
    (fp)INT_Excep_LIN0_LIN0,
//Reserved 255 03FCh      
    (fp)0
};